﻿var thirdUpdate = true;

function tryLogin() {
    var zh = $('#phoneInput').val();
    var mm = $('#passwordInput').val();
    var code = $('#yzmInput').val();
    if (null == sureVar(zh)) {
        toast('请输入账号！');
        return;
    }
    if (null == sureVar(code)) {
        toast('请输入验证码！');
        return;
    }
    if (null == sureVar(mm)) {
        toast('请输入密码！');
        return;
    }
    checkCode();
}


function refreshCode() {
    timestamp = Date.parse(new Date());
    randomNum = getRandomNum(n, m);
    tempCode = timestamp + '' + randomNum;
    ImgUrl = 'https://bbs.49you.com/app.php?m=App&c=IndexNew&a=getloginvcode&loginkey=' + tempCode;
    $('#codeImg').attr('src', ImgUrl);
}


function checkCode() {
    var code = $('#yzmInput').val();
    var parsJson = '"code":' + code + ',"loginkey":' + tempCode;
    JwCordovaPlugin.urlSign('{' + parsJson + '}', function (result) {
        var postData = '' + parsJson + ',"sign":"' + result + '"';
        postData = jsonToHttpRequestParams(postData);
        // printLog("gamelist()urlSign()postData=" + postData);
        $.ajax({
            type: 'POST',
            url: 'https://bbs.49you.com/app.php?m=App&c=IndexNew&a=check_vcode',
            data: postData,
            dataType: 'json',
            success: function (res) {
                if (res.status == 1) {
                    login();
                } else {
                    refreshCode();
                    toast(res.msg);
                }
            },
            error: function (xhr, type) {
                $('#login_error').show();
                printLog("login().post()error");
            }
        });
    }, function (error) {
        $('#login_error').show();
        printLog("login().JwCordovaPlugin.urlSign()error");
    });
}

function login() {
    var zh = $('#phoneInput').val();
    var mm = $('#passwordInput').val();
    var curtime = '' + new Date().getTime();
    var imei = getDeviceUUID();
    var curUI = getCacheData("uiVer");
    var uid = getCacheData("uid");
    var serialId = getDeivceSerial();
    var androidVer = getDeviceVersion();
    var model = getDeviceModel();
    var udid = imei;
    var androidid = imei;
    var parsJson = '"ver":"' + ver + '","appId":"656","requestId":"' + curtime + '","version":"' + curUI + '","device":"2","udid":"' + udid + '"';
    parsJson += ',"userName":"' + zh + '","password":"' + mm + '"';
    parsJson += ',"systemId":"' + androidid + '","serialId":"' + serialId + '","systemInfo":"' + androidVer + '@' + model + '","imeiId":"' + imei + '"';
    printLog("gamelist()parsJson=" + parsJson);
    JwCordovaPlugin.urlSign('{' + parsJson + '}', function (result) {
        var postData = '' + parsJson + ',"sign":"' + result + '"';
        postData = jsonToHttpRequestParams(postData);
        printLog("gamelist()urlSign()postData=" + postData);
        $.ajax({
            type: 'POST',
            url: 'http://api.sdk.49app.com/Box/Accounts/LogOn',
            data: postData,
            dataType: 'json',
            success: function (res) {
                var data = res.Data || '';
                if ('' == data) {
                    toast('登录失败！');
                    refreshCode();
                    return;
                }
                loginSuccess(res);
            },
            error: function (xhr, type) {
                $('#login_error').show();
                printLog("login().post()error");
            }
        });
    }, function (error) {
        $('#login_error').show();
        printLog("login().JwCordovaPlugin.urlSign()error");
    });
}

function loginSuccess(res) {
    printLog('loginSuccess()');
    // $("#mymodal").modal("toggle");
    saveCacheData('uid', res.Data.uid);
    saveCacheData('username', res.Data.username);
    saveCacheData('usertoken', res.Data.bbsToken);
    // setTimeout(function () {
    window.location = 'https://bbs.49you.com/app.php?m=app&c=api&a=game_login&username=hlw_' + res.Data.username + '&token=' + res.Data.bbsToken + '';
    // }, 50);
}


function loadData() {
    printLog("getInfoData(start)");
    var curtime = '' + new Date().getTime();
    var udid = getDeviceUUID();
    // udid = 'c6f20bcc-1ad9-38ca-9974-08716c29aa9f';
    var curUI = getCacheData("uiVer");
    var uid = getCacheData("uid");
    var parsJson = '"appId":"656","requestId":"' + curtime + '","ver":"' + ver + '","udid":"' + udid + '","device":"2","version":"' + curUI + '"';
    printLog("getInfoData()parsJson=" + parsJson);
    JwCordovaPlugin.urlSign('{' + parsJson + '}', function (result) {
        var postData = '' + parsJson + ',"sign":"' + result + '"';
        postData = jsonToHttpRequestParams(postData);
        printLog("getInfoData()urlSign()postData=" + postData);
        $.ajax({
            type: 'POST',
            url: 'http://api.sdk.49app.com/V7/Accounts/getNameByUdid',
            data: postData,
            dataType: 'json',
            success: function (res) {
                var data = res.Data || '';
                if ('' == data) {
                    var htmlStr = '<h4>暂无49游戏账号</h4>';
                    $('#dl_us').html(htmlStr);
                    return;
                }
                getDataSuccess(res);
            },
            error: function (xhr, type) {
                printLog("getInfoData().post()error");
            }
        });
    }, function (error) {
        printLog("getInfoData().JwCordovaPlugin.urlSign()error");
    });
    printLog("getInfoData(finish)");
}

function getDataSuccess(res) {
    var htmlStr = '<h4>选择49游戏账号</h4>';
    $.each(res.Data, function (i, user) {
        htmlStr += '<li><a href="javascript:;"><font>账号：<em>' + user.uid + '</em></font>';
        htmlStr += '<h1 style="display: none">' + user.username + '</h1>';
        htmlStr += '<h2 style="display: none">' + user.token + '</h2>';
        if (null != sureVar(user.nickname)) {
            htmlStr += '<font>昵称：' + user.nickname + '</font></a></li>';
        } else {
            htmlStr += '<font class="ncwsz">昵称：未设置</font></a>';
        }
    });
    printLog(htmlStr);
    $('#dl_us').html(htmlStr);
}


function accountLogin() {
    var account = $('#yxzhInput').val();
    if (null==account||account==''){
        toast('请选择49游戏账号！');
        return;
    }
    var code = $('#yzmInput').val();
    if (null==code||code==''){
        toast('请输入验证码！');
        return;
    }
    var parsJson = '"code":' + code + ',"loginkey":' + tempCode;
    JwCordovaPlugin.urlSign('{' + parsJson + '}', function (result) {
        var postData = '' + parsJson + ',"sign":"' + result + '"';
        postData = jsonToHttpRequestParams(postData);
        // printLog("gamelist()urlSign()postData=" + postData);
        $.ajax({
            type: 'POST',
            url: 'https://bbs.49you.com/app.php?m=App&c=IndexNew&a=check_vcode',
            data: postData,
            dataType: 'json',
            success: function (res) {
                if (res.status == 1) {
                    gologin(uid, username, token);
                } else {
                    refreshCode();
                    toast(res.msg);
                }
            },
            error: function (xhr, type) {
                $('#login_error').show();
                printLog("login().post()error");
            }
        });
    }, function (error) {
        $('#login_error').show();
        printLog("login().JwCordovaPlugin.urlSign()error");
    });
}

function gologin(uid, username, token) {
    printLog("gologin()");
    saveCacheData('uid', uid);
    saveCacheData('username', username);
    saveCacheData('usertoken', token);
    window.location = 'http://bbs.49you.com/app.php?m=app&c=api&a=game_login&username=hlw_' + username + '&token=' + token;
}

function loginwx() {
    // 第三方微信登录
    // //劲玩盒子
    // var WeChat_APP_ID = 'wxeea3867d9f8a88b4';
    // var WeChat_APP_Secret = '6f5173fd1964fa70d8d3112ce259ce0a';
    // 49游戏盒子
    var WeChat_APP_ID = "wx4f60e34f84543fde";
    var WeChat_APP_Secret = "e55fd3b59e714457b33f70126a25dd40";
    try {
        var scope = "snsapi_userinfo";
        Wechat.auth(scope, 'wechat', function (response) {
            // you may use response.code to get the access token.
            // printLog('微信授权成功!');
            printLog('kk 微信授权成功!' + JSON.stringify(response));
            // alert(JSON.stringify(response));
            var postData = 'appid=' + WeChat_APP_ID + '&secret=' +
                WeChat_APP_Secret + '&code=' + response.code +
                '&grant_type=authorization_code';
            $.ajax({
                type: 'GET',
                url: 'https://api.weixin.qq.com/sns/oauth2/access_token',
                data: postData,
                dataType: 'json',
                success: function (res) {
                    printLog("kk wechat login =" + JSON.stringify(res));
                    thirdLogin(4, WeChat_APP_ID, res.openid, res.unionid
                    );
                    if (thirdUpdate == true) {
                        printLog("kk getWXUserInfo()");
                        getWXUserInfo(res.access_token, res.openid);
                    }
                    saveCacheData('user_wx_unionid', res.unionid);
                },
                error: function (xhr, type) {
                    printLog('WXloginFAILED');
                    toast('微信授权失败！');
                }
            });
        }, function (reason) {
            printLog('WXloginFAILED' + reason);
            toast('微信授权失败！' + reason);
        });
    } catch (error) {
    }
}

function getWXUserInfo(access_token, openid) {

    var postData = 'access_token=' + access_token + '&openid=' + openid +
        '&lang=zh_CN';
    printLog("kk wechatLogin data =" + postData);
    $.ajax({
        type: 'GET',
        url: 'https://api.weixin.qq.com/sns/userinfo',
        data: postData,
        dataType: 'json',
        success: function (res) {
            printLog("kk wechatLogin res = " + JSON.stringify(res));
            var wx_nickname = res.nickname;
            var wx_headimg = res.headimgurl;
            saveCacheData("third_nickname", wx_nickname);
            saveCacheData("third_headimg", wx_headimg);
        },
        error: function (xhr, type) {

        }

    });
}

function loginqq() {
    var qqUpdate = true;
    // 第三方QQ登录
    var QQ_APP_ID = "1105710316"; // 49游戏盒子//"1104935501";//49游戏攻略(老签名)//"1105309207";//49游戏攻略//
    try {
        var checkClientIsInstalled = 1; // default is 0,only for iOS
        QQSDK.ssoLogin(function (args) {
            printLog("kk qqlogin" + JSON.stringify(args));
            if (qqUpdate == true) {
                if (thirdUpdate == true) {
                    var qq_nickname = args.nickname;
                    var qq_headimg = args.figureurl_qq_2;
                    saveCacheData("third_nickname", qq_nickname);
                    saveCacheData("third_headimg", qq_headimg);
                    printLog("kk nickname=" + qq_nickname + " img=" + qq_headimg);
                }
            }

            QQSDK.logout(function (result) {
                printLog("kk logout=" + result);
            }, function (err) {
                printLog("kk logout=" + err);
            });

            thirdLogin(1, QQ_APP_ID, args.userid, null,
                qq_nickname, qq_headimg);
        }, function (failReason) {
            printLog('QQloginFAILED' + failReason);
            toast('QQ授权失败！' + reason);
        }, checkClientIsInstalled);
    } catch (error) {
        printLog(error.toString());
    }
}

// 登录类型//1=QQ//2=微博//4=微信
function thirdLogin(logintype, applyid, openid, unionid,
                    nickname, headimg) {
    printLog('thirdlogin()');
    showToastDiv();
    var curtime = '' + new Date().getTime();
    var imei = getDeviceUUID();
    var curUI = getCacheData("uiVer");
    var uid = getCacheData("uid");
    var serialId = getDeivceSerial();
    var androidVer = getDeviceVersion();
    var model = getDeviceModel();
    var udid = imei;
    var androidid = imei;
    var parsJson = '"ver":"' + ver + '","appId":"656","requestId":"' + curtime +
        '","version":"' + curUI + '","device":"2","udid":"' + udid + '"';
    // 登录类型//1=QQ//2=微博//4=微信
    parsJson += ',"logintype":"' + logintype + '","applyid":"' + applyid +
        '","openid":"' + openid + '"';
    if (null != unionid) {
        parsJson += ',"unionid":"' + unionid + '"';
    }
    JwCordovaPlugin.urlSign('{' + parsJson + '}', function (result) {
        var postData = '' + parsJson + ',"sign":"' + result + '"';
        postData = jsonToHttpRequestParams(postData);
        $.ajax({
            type: 'POST',
            url: 'https://apitest.sdk.49app.com/Box/Accounts/ThirdLogin',
            data: postData,
            dataType: 'json',
            success: function (res) {
                var data = res.Data || '';
                if ('' == data || false == res.Result) {
                    hideToastDiv();
                    toast('第三方登录失败！');
                    return;
                }
                saveCacheData('applyid', applyid);
                saveCacheData('openid', openid);
                saveCacheData('logintype', logintype);
                saveCacheData('USERtype', '99');
                if (logintype == 1) {
                    // MtaH5.clickStat("qq_login");
                    var qqOpenId = getCacheData("qqOpenId");
                    if (qqOpenId == null) {
                        qqOpenId = "";
                    }
                    if (qqOpenId.indexOf(openid) < 0) {
                        qqOpenId += openid;
                        printLog("kk openid=" + qqOpenId)
                        saveCacheData('qqOpenId', qqOpenId);
                    }
                } else if (logintype == 4) {
                    // MtaH5.clickStat("wechat_login");
                    var wechatUnionId = getCacheData("qqOpenId");
                    if (wechatUnionId == null) {
                        wechatUnionId = "";
                    }
                    if (wechatUnionId.indexOf(unionid) < 0) {
                        wechatUnionId += unionid;
                        printLog("kk wechatUnionId=" + wechatUnionId)
                        saveCacheData('wechatUnionId', wechatUnionId);
                    }
                }
                saveCacheData('nowThirdLogin', thirdUpdate);
                loginSuccess(res);
            },
            error: function (xhr, type) {
                printLog("thirdlogin().post()error");
            }
        });
    }, function (error) {
        printLog("getInfoData().JwCordovaPlugin.urlSign()error");
    });

}
function showToastDiv(){
    $("#toastDiv").show();
}
function hideToastDiv(){
    $("#toastDiv").hide();
}

