// 短信验证码 忘记密码
function findPSWDVerifyCode() {
    var s = $('#hqyzmBtn').html();
    if ('获取验证码' != s) {
        return;
    }
    var phoneNumber = $('#phoneInput').val();
    if (!checkPhone(phoneNumber)) {
        toast('请输入手机号码！');
        return;
    }
    var curtime = '' + new Date().getTime();
    var udid = getDeviceUUID();
    var curUI = getCacheData("uiVer");
    var uid = getCacheData("uid");

    var parsJson = '"ver":"' + ver + '","appId":"656","requestId":"' + curtime +
        '","version":"' + curUI + '","device":"2","udid":"' + udid + '"';
    parsJson += ',"mobile":"' + phoneNumber + '"';
    JwCordovaPlugin.urlSign('{' + parsJson + '}', function (result) {
        var postData = '' + parsJson + ',"sign":"' + result + '"';
        postData = jsonToHttpRequestParams(postData);
        printLog("getInfoData()urlSign()postData=" + postData);
        $.ajax({
            type: 'GET',
            url: 'https://apitest.sdk.49app.com/Box/Accounts/GetCodeByMobile',
            data: postData,
            dataType: 'json',
            success: function (res) {
                toast(res.Msg);
                if ('已将验证码发送至您手机' == res.Msg) {
                    getYzm();
                }
            },
            error: function (xhr, type) {
                printLog("getInfoData().post()error");
            }
        });
    }, function (error) {
        printLog("getInfoData().JwCordovaPlugin.urlSign()error");
    });
}

// 忘记密码
function findPSWD() {
    var phoneNumber = $('#phoneInput').val();
    if (!checkPhone(phoneNumber)) {
        toast('请输入手机号码！');
        return;
    }

    var code = $('#yzmInput').val();
    if (null == sureVar(code)) {
        toast('请输入短信验证码！');
        return;
    }

    var password1 = $('#passwordInput1').val();
    var password2 = $('#passwordInput2').val();
    if (password1.length < 6) {
        toast('密码长度必须大于等于6位！');
        return;
    }
    if (password1 != password2) {
        toast('两次输入的密码不一致！');
        return;
    }
    var curtime = '' + new Date().getTime();
    var udid = getDeviceUUID();
    var curUI = getCacheData("uiVer");
    var uid = getCacheData("uid");
    var parsJson = '"ver":"' + ver + '","appId":"656","requestId":"' + curtime +
        '","version":"' + curUI + '","device":"2","udid":"' + udid + '"';
    parsJson += ',"mobile":"' + phoneNumber + '"';
    parsJson += ',"code":"' + code + '"';
    parsJson += ',"password":"' + password1 + '"';
    JwCordovaPlugin.urlSign('{' + parsJson + '}', function (result) {
        var postData = '' + parsJson + ',"sign":"' + result + '"';
        postData = jsonToHttpRequestParams(postData);
        printLog("getInfoData()urlSign()postData=" + postData);
        $.ajax({
            type: 'post',
            url: 'https://apitest.sdk.49app.com/Box/Accounts/ResetPassword',
            data: postData,
            dataType: 'json',
            success: function (res) {
                toast(res.Msg);
                if (null!=res.Msg&&res.Msg=='修改成功') {
                    history.go(-1);
                    return;
                }
            },
            error: function (xhr, type) {
                printLog("findPSD().post()error" + xhr + "  " + type);
            }
        });
    }, function (error) {
        printLog("getInfoData().JwCordovaPlugin.urlSign()error");
    });
}

//检测手机号码
function checkPhone(phone) {
    if (!(/^1[3|4|5|7|8]\d{9}$/.test(phone))) {
        return false;
    }
    return true;
}