cordova.define("cordova-plugin-jwplugin.JwCordovaPlugin", function(require, exports, module) {
var exec = require('cordova/exec');
var myFunc = function(){};

// arg1：成功回调
// arg2：失败回调
// arg3：将要调用类配置的标识
// arg4：调用的原生方法名
// arg5：参数，json格式
myFunc.prototype.javaShow=function(){
	exec(null, null, "JwCordovaPlugin", "javaShow", []);
};

myFunc.prototype.javaShowJs=function(text, length){
	exec(null, null, "JwCordovaPlugin", "javaShowJs", [text, length])
};

myFunc.prototype.jsShowJava=function(success, error) {
    exec(success, error, "JwCordovaPlugin", "jsShowJava", []);
};

myFunc.prototype.jsShowJs=function(text, success, error) {
    exec(success, error, "JwCordovaPlugin", "jsShowJs", [text]);
};

myFunc.prototype.isAppInstall=function(text, success, error) {
    exec(success, error, "JwCordovaPlugin", "isAppInstall", [text]);
};

myFunc.prototype.urlSign=function(text, success, error) {
    exec(success, error, "JwCordovaPlugin", "urlSign", [text]);
};

myFunc.prototype.urlSignForPay=function(text, success, error) {
    exec(success, error, "JwCordovaPlugin", "urlSignForPay", [text]);
};

myFunc.prototype.startActivity=function(act,pkg,cls,js, success, error) {
    exec(success, error, "JwCordovaPlugin", "startActivity", [act,pkg,cls,js]);
};

myFunc.prototype.startActivityForResult=function(act,pkg,cls,js,requestCode, success, error) {
    exec(success, error, "JwCordovaPlugin", "startActivityForResult", [act,pkg,cls,js,requestCode]);
};

myFunc.prototype.activitySetResult=function(act, code, js, success, error) {
    exec(success, error, "JwCordovaPlugin", "activitySetResult", [act,code,js]);
};

myFunc.prototype.dlFilterTask=function(id, url, other, success, error) {
    exec(success, error, "JwCordovaPlugin", "dlFilterTask", [id, url, other]);
};

myFunc.prototype.queryAPK=function(id, url, other, success, error) {
    exec(success, error, "JwCordovaPlugin", "queryAPK", [id, url, other]);
};

myFunc.prototype.queryAPKs=function(pkgs, success, error) {
	
    exec(success, error, "JwCordovaPlugin", "queryAPKs", [pkgs]);
};

myFunc.prototype.queryDownloading=function(success, error) {
    exec(success, error, "JwCordovaPlugin", "queryDownloading", []);
};

myFunc.prototype.queryDownloaded=function(success, error) {
    exec(success, error, "JwCordovaPlugin", "queryDownloaded", []);
};

myFunc.prototype.deleteTask=function(id, success, error) {
    exec(success, error, "JwCordovaPlugin", "deleteTask", [id]);
};

myFunc.prototype.copyString=function(text, success, error) {
    exec(success, error, "JwCordovaPlugin", "copyString", [text]);
};

myFunc.prototype.savePropertiesData=function(file,key,value, success, error) {
    exec(success, error, "JwCordovaPlugin", "savePropertiesData", [file,key,value]);
};

myFunc.prototype.getPropertiesData=function(file,key, success, error) {
    exec(success, error, "JwCordovaPlugin", "getPropertiesData", [file,key]);
};

myFunc.prototype.sjEncode=function(key,value, success, error) {
    exec(success, error, "JwCordovaPlugin", "sjEncode", [key,value]);
};

myFunc.prototype.sjDecode=function(key,value, success, error) {
    exec(success, error, "JwCordovaPlugin", "sjDecode", [key,value]);
};

myFunc.prototype.addShortcut=function(name,iconUrl,url,isWebOrApp, success, error) {
    exec(success, error, "JwCordovaPlugin", "addShortcut", [name,iconUrl,url,isWebOrApp]);
};

myFunc.prototype.clearCache = function(success,error){
	exec(success,error,"JwCordovaPlugin","clearCache",[]);
}

myFunc.prototype.clearHistory = function(success,error){
	exec(success,error,"JwCordovaPlugin","clearHistory",[]);
}

myFunc.prototype.whitelist = function(str,success,error){
	exec(success,error,"JwCordovaPlugin","whitelist",[str]);
}


var showt = new myFunc();  
module.exports = showt; 
});
