function getCode() {
    var s = $('#hqyzmBtn').html();
    if ('获取验证码' != s) {
        return;
    }
    var phone = $('#phoneInput').val();
    if (!checkPhone(phone)) {
        toast("请输入正确的手机号码！");
        return;
    }
    var curtime = '' + new Date().getTime();
    var imei = getDeviceUUID();
    var curUI = getCacheData("uiVer");
    if (null == curUI) {
        curUI = '2.3.4';
    }
    var uid = getCacheData("uid");
    var serialId = getDeivceSerial();
    var androidVer = getDeviceVersion();
    var model = getDeviceModel();
    var udid = imei;
    var androidid = imei;
    var parsJson = '"ver":"' + ver + '","appId":"656","requestId":"' + curtime +
        '","version":"' + curUI + '","device":"2","udid":"' + udid + '"';
    parsJson += ',"mobile":"' + phone + '"';
    JwCordovaPlugin.urlSign('{' + parsJson + '}', function (result) {
        var postData = '' + parsJson + ',"sign":"' + result + '"';
        postData = jsonToHttpRequestParams(postData);
        printLog("getInfoData()urlSign()postData=" + postData);
        $.ajax({
            type: 'POST',
            url: 'https://apitest.sdk.49app.com/Box/Accounts/GetCode',
            data: postData,
            dataType: 'json',
            success: function (res) {
                toast(res.Msg);
                if ('已将验证码发送至您手机' == res.Msg) {
                    getYzm();
                }
            },
            error: function (xhr, type) {
                printLog("getInfoData().post()error");
            }
        });
    }, function (error) {
        printLog("getInfoData().JwCordovaPlugin.urlSign()error");
    });

}

function reg(){
    printLog("getInfoData(start)");

    var isAgree = $('#yhxyCheckBox').is(':checked');
    if(isAgree == false){
        toast('请先阅读用户协议!');
        return;
    }
    var sj = $('#phoneInput').val();
    if (!checkPhone(sj)) {
        toast("请输入正确的手机号码！");
        return;
    }
    var yz = $('#yzmInput').val();
    if(null == sureVar(yz)) {
        toast('请输入验证码！');
        return;
    }
    var sjmm = $('#passwordInput').val();
    if(null == sureVar(sjmm)||sjmm.length<6) {
        toast('密码长度必须大于等于6位！');
        return;
    }
    var curtime = '' + new Date().getTime();
    var imei = getDeviceUUID();
    var curUI = getCacheData("uiVer");
    if(null == curUI) {
        curUI = '2.3.4';
    }
    var uid = getCacheData("uid");
    var serialId = getDeivceSerial();
    var androidVer = getDeviceVersion();
    var model = getDeviceModel();
    var udid = imei;
    var androidid = imei;
    var parsJson = '"ver":"' + ver + '","appId":"656","requestId":"' + curtime +
        '","version":"' + curUI + '","device":"2","udid":"' + udid + '"';
    parsJson += ',"systemId":"' + androidid + '","serialId":"' + serialId +
        '","systemInfo":"' + androidVer + '@' + model + '","imeiId":"' +
        imei + '"';
    parsJson += ',"mobile":"' + sj + '","code":"' + yz + '","password":"' +
        sjmm + '","nickname":"' + sj.substring(0, 9) + '"';
    JwCordovaPlugin.urlSign('{'+parsJson+'}', function(result){
        var postData = '' + parsJson + ',"sign":"' + result + '"';
        postData=jsonToHttpRequestParams(postData);
        $.ajax({
            type: 'POST',
            url: 'https://apitest.sdk.49app.com/Box/Accounts/Register',
            data: postData,
            dataType: 'json',
            success: function(res){
                if(true==res.Result){
                    login(sj,sjmm);
                }
                toast(res.Msg);
            },
            error: function(xhr, type){
                printLog("getInfoData().post()error");
            }
        });
    }, function(error){
        printLog("getInfoData().JwCordovaPlugin.urlSign()error");
    });
    printLog("getInfoData(finish)");
}


function login(zh,mm){
    var curtime = ''+new Date().getTime();
    var imei = getDeviceUUID();
    var curUI = getCacheData("uiVer");
    var uid = getCacheData("uid");
    var serialId = getDeivceSerial();
    var androidVer = getDeviceVersion();
    var model = getDeviceModel();
    var udid = imei;
    var androidid = imei;
    var parsJson = '"ver":"'+ver+'","appId":"656","requestId":"'+curtime+'","version":"'+curUI+'","device":"2","udid":"'+udid+'"';
    parsJson += ',"userName":"'+zh+'","password":"'+mm+'"';
    parsJson += ',"systemId":"'+androidid+'","serialId":"'+serialId+'","systemInfo":"'+androidVer+'@'+model+'","imeiId":"'+imei+'"';
    printLog("gamelist()parsJson="+parsJson);
    JwCordovaPlugin.urlSign('{'+parsJson+'}', function(result){
        var postData = ''+parsJson+',"sign":"'+result+'"';
        postData=jsonToHttpRequestParams(postData);
        printLog("gamelist()urlSign()postData="+postData);
        $.ajax({
            type: 'POST',
            url: 'http://api.sdk.49app.com/Box/Accounts/LogOn',
            data: postData,
            dataType: 'json',
            success: function(res){
                var data = res.Data || '';
                if(''==data){
                    toast('登录失败！');
                    return;
                }
                loginSuccess(res);
            },
            error: function(xhr, type){
                $('#login_error').show();
                printLog("login().post()error");
            }
        });
    }, function(error){
        $('#login_error').show();
        printLog("login().JwCordovaPlugin.urlSign()error");
    });
}


function loginSuccess(res){
    printLog('loginSuccess()');
    $("#mymodal").modal("toggle");
    setTimeout(function(){
        window.location = 'http://bbs.49you.com/app.php?m=app&c=api&a=game_login&username=hlw_'+res.Data.username+'&token='+res.Data.bbsToken+'';
    },50);
}

//检测手机号码
function checkPhone(phone) {
    if (!(/^1[3|4|5|7|8]\d{9}$/.test(phone))) {
        return false;
    }
    return true;
}

